Bug 991378 - [abrt] WARNING: at block/blk-core.c:1283 __blk_put_request+0x141/0x180() [NEEDINFO]
[abrt] WARNING: at block/blk-core.c:1283 __blk_put_request+0x141/0x180()
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
abrt_hash:efe96ad2a0a5a47fb4fc2c97f58...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-02 05:51 EDT by Gabriele Svelto
Modified: 2014-03-10 10:46 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-03-10 10:46:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jmoyer: needinfo? (mchristie)


Attachments (Terms of Use)
File: dmesg (75.87 KB, text/plain)
2013-08-02 05:51 EDT, Gabriele Svelto
no flags Details

  None (edit)
Description Gabriele Svelto 2013-08-02 05:51:51 EDT
Description of problem:
After copying a few files to a USB key I unmounted the volume

Additional info:
reporter:       libreport-2.1.5
WARNING: at block/blk-core.c:1283 __blk_put_request+0x141/0x180()
Modules linked in: tcp_lp vfat fat fuse usb_storage ebtable_nat nf_conntrack_netbios_ns nf_conntrack_broadcast ipt_MASQUERADE ip6table_nat nf_nat_ipv6 ip6table_mangle ip6t_REJECT nf_conntrack_ipv6 nf_defrag_ipv6 iptable_nat nf_nat_ipv4 nf_nat iptable_mangle nf_conntrack_ipv4 nf_defrag_ipv4 xt_conntrack nf_conntrack ebtable_filter ebtables ip6table_filter ip6_tables rfcomm bnep dm_crypt snd_hda_codec_conexant iTCO_wdt iTCO_vendor_support mperf coretemp kvm_intel kvm cdc_mbim crc32_pclmul crc32c_intel arc4 ghash_clmulni_intel microcode uvcvideo videobuf2_vmalloc videobuf2_memops videobuf2_core videodev iwldvm media mac80211 snd_hda_intel cdc_ncm usbnet cdc_acm mii snd_hda_codec cdc_wdm snd_hwdep btusb bluetooth snd_seq snd_seq_device joydev snd_pcm i2c_i801 iwlwifi sdhci_pci sdhci snd_page_alloc mmc_core cfg80211 e1000e snd_timer ptp lpc_ich mfd_core pps_core thinkpad_acpi snd tpm_tis soundcore tpm rfkill tpm_bios uinput nouveau i915 mxm_wmi ttm i2c_algo_bit drm_kms_helper drm i2c_core wmi video cryptoloop
CPU: 0 PID: 2071 Comm: scsi_id Not tainted 3.10.4-300.fc19.x86_64 #1
Hardware name: LENOVO 4236PFG/4236PFG, BIOS 83ET76WW (1.46 ) 07/05/2013
 0000000000000009 ffff880220e9dbb8 ffffffff81643306 ffff880220e9dbf0
 ffffffff8105c211 ffff8802086842f0 ffff8802086842f0 0000000000000246
 ffff8802300cb000 ffff8802086842f0 ffff880220e9dc00 ffffffff8105c2ea
Call Trace:
 [<ffffffff81643306>] dump_stack+0x19/0x1b
 [<ffffffff8105c211>] warn_slowpath_common+0x61/0x80
 [<ffffffff8105c2ea>] warn_slowpath_null+0x1a/0x20
 [<ffffffff812c2c21>] __blk_put_request+0x141/0x180
 [<ffffffff812c2c8f>] blk_put_request+0x2f/0x50
 [<ffffffff812cea1e>] sg_io+0x3ce/0x4b0
 [<ffffffff812cf1a7>] scsi_cmd_ioctl+0x2c7/0x470
 [<ffffffff812cf392>] scsi_cmd_blk_ioctl+0x42/0x50
 [<ffffffff8141484e>] sd_ioctl+0xbe/0x140
 [<ffffffff812cb9cc>] blkdev_ioctl+0x22c/0x830
 [<ffffffff811cd5a1>] block_ioctl+0x41/0x50
 [<ffffffff811a9435>] do_vfs_ioctl+0x305/0x520
 [<ffffffff8128ab5e>] ? file_has_perm+0x8e/0xa0
 [<ffffffff8119c715>] ? SYSC_newfstat+0x25/0x30
 [<ffffffff811a96d1>] SyS_ioctl+0x81/0xa0
 [<ffffffff81651919>] system_call_fastpath+0x16/0x1b
Comment 1 Gabriele Svelto 2013-08-02 05:51:58 EDT
Created attachment 781902 [details]
File: dmesg
Comment 2 Josh Boyer 2013-09-18 16:40:21 EDT
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 19 kernel bugs.

Fedora 19 has now been rebased to 3.11.1-200.fc19.  Please test this kernel update and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you experience different issues, please open a new bug report for those.
Comment 3 Jeff Moyer 2013-10-03 16:02:18 EDT
I think the following upstream commit will fix this problem:

commit 7652113c2f508b1c8176640dcd034730fe79bc48
Author: Mike Christie <michaelc@cs.wisc.edu>
Date:   Wed Sep 18 08:33:55 2013 -0600

    If the queue is dying then we only call the rq->end_io callout.
    This leaves bios setup on the request, because the caller assumes when
    the blk_execute_rq_nowait/blk_execute_rq call has completed that
    the rq->bios have been cleaned up.
    
    This patch has blk_execute_rq_nowait use __blk_end_request_all
    to free bios and also call rq->end_io.
    
    Signed-off-by: Mike Christie <michaelc@cs.wisc.edu>
    Signed-off-by: Jens Axboe <axboe@kernel.dk>

That will appear in kernel version 3.12.
Comment 4 Josh Boyer 2013-10-08 14:05:08 EDT
(In reply to Jeffrey Moyer from comment #3)
> I think the following upstream commit will fix this problem:
> 
> commit 7652113c2f508b1c8176640dcd034730fe79bc48
> Author: Mike Christie <michaelc@cs.wisc.edu>
> Date:   Wed Sep 18 08:33:55 2013 -0600
> 
>     If the queue is dying then we only call the rq->end_io callout.
>     This leaves bios setup on the request, because the caller assumes when
>     the blk_execute_rq_nowait/blk_execute_rq call has completed that
>     the rq->bios have been cleaned up.
>     
>     This patch has blk_execute_rq_nowait use __blk_end_request_all
>     to free bios and also call rq->end_io.
>     
>     Signed-off-by: Mike Christie <michaelc@cs.wisc.edu>
>     Signed-off-by: Jens Axboe <axboe@kernel.dk>
> 
> That will appear in kernel version 3.12.

That seems small enough that it should be acceptable to the stable maintainers.  Is there a reason to not backport it to 3.11.y?
Comment 5 Jeff Moyer 2013-10-08 14:11:49 EDT
I don't see a reason not to backport this to the stable kernels.  Mike?
Comment 6 Justin M. Forbes 2014-03-10 10:46:22 EDT
*********** MASS BUG UPDATE **************

This bug has been in a needinfo state for more than 1 month and is being closed with insufficient data due to inactivity. If this is still an issue with Fedora 19, please feel free to reopen the bug and provide the additional information requested.

Note You need to log in before you can comment on or make changes to this bug.